WhatsApp su iPhone 3G non funziona più

di Nicola Strumia 60

WhatsApp Messenger iphone 3g

Se da qualche giorno l’arcinota app di messaggistica non funziona più sul vostro vecchio iPhone 3G, sappiate che tutto ciò è da imputare a Apple e non al team di sviluppo di WhatsApp. I tempi passano e il nostro iPhone mostra i segni di vecchiaia. Vediamo cosa sta succedendo e perché WhatsApp non funziona più con l’iPhone 3G.
Stamani dopo aver ricevuto un messaggio da WhatsApp sono stato impossibilitato alla sua lettura. Provando a leggere il messaggio sul mio iPhone 3G, fermo giocoforza a iOS 4.2.1, ho visualizzato una finestra pop-up che mi informava che il mio device non era più riconosciuto dal sistema e che dovevo ri-autenticarlo. Ecco cosa ho provato a fare:

  1. ho tentato di effettuare l’autenticazione, inserendo nuovamente il mio numero di cellulare (numero internazionale)
  2. ho provato a farmi reinviare il codice PIN, ma l’SMS non è mai giunto sul mio iPhone
  3. ho spento e riacceso (operazione consigliata anche dall’help di WhatsApp.. bah!)
  4. ho cancellato l’app, sperando che una reinstallazione dall’App Store  potesse sistemare il problema. E invece….

E invece arrivato a questo punto mi sono accorto che le cose erano cambiate.

Nessun aggiornamento da fare (cosa che invece l’app consigliava di controllare… vabbe’). Vado sullo Store e vengo avvertito che l’app non è più compatibile e che serve iOS 4.3, quindi almeno un iPhone 3GS. Adios!

In pratica l’app non è più compatibile nonostante non ci sia stato nessun aggiornamento di WhatsApp direttamente “invalidante” per il mio iPhone 3G.

Come potete vedere dallo screenshot in apertura l’app infatti non viene aggiornata dallo scorso 7 Dicembre e WhatsApp è ancora ferma alla versione 2.8.7.

Ecco la storia completa raccontata sul blog ufficiale:

Il succo del discorso da un punto di vista tecnico è tutto in questa frase:

 Apple has stopped supporting old iOS versions and old iPhones in their most recent version 4.5 of Xcode, which is the tool (the only tool) that engineers use to make iPhone apps.
Apple ha smesso di supportare le vecchie versioni di iOS e i vecchi iPhone nella versione più recente di Xcode (la 4.5), che è lo strumento (l’unico strumento) che i programmatori usano per realizzare applicazioni per iPhone.

E la frase conclusiva, purtroppo, non lascia speranze:

Their pace of innovation has a price of forced obsolescence.
Il ritmo dell’innovazione ha un prezzo: l’obsolescenza forzata.

Che fare adesso? “Obbligarmi” a comprare uno smartphone più recente (dopotutto il mio iPhone 3G ha più di 5 anni)?
Prima di gettare la spugna definitivamente sto cercando di verificare il funzionamento di altre app di messaggistica con notifiche Push che avevo usato in precedenza (nel 2010 per la precisione) e che avevo poi abbandonato, quali Viber o meglio ancora Pushme.to.

Purtroppo al momento mi sembra che solo la messaggistica di Viber funzioni ancora (senza allegati però) mentre quella di Pushme.to sembra bloccata (i motivi sono ancora da verificare).

Un’altra soluzione che paventavo era quella di cercare dei custom firmware che potessero permettere all’iPhone 3G di essere upgradato alla versione 4.3 di iOS. Un esempio su tutti potrebbe essere (l’italianissimo) WhiteD00r, anche se devo verificare la compatibilità con Whatsapp dopo gli ultimi cambiamenti.

Altre idee ? Ditecelo nei commenti !